#ifndef ABOUTCTRL_H
#define ABOUTCTRL_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CAboutCtrl : public CStatic
{
	// Construction
public:
	CAboutCtrl();

	// Attributes
protected:
	HDC m_hBackgroundDC; 
	HDC m_hMemDC; 
	HDC m_hCreditsDC; 

	int m_cxData;
	int m_cyData;

	int m_nCounter;

	// Operations
	protected:
	virtual void PreSubclassWindow();

	// Implementation
public:
	void SetCredits(LPCTSTR lpszCredits);
	virtual ~CAboutCtrl();

	// Generated message map functions
protected:
	CString m_strCredits;
	void Initialize();
	void AnimateLogo();
	void LoadPicture(int nResourceID, HDC& hDestinationDC, int& nWidth, int& nHeight, HDC hDC);
	void LoadCredits(HDC& hDestination, int nWidth, int nHeight, HDC hDC);
	afx_msg void OnTimer(UINT nIDEvent);

	DECLARE_MESSAGE_MAP()
};

#endif