// In_mpg123dAsyncSocket.cpp
//

#pragma warning(disable : 4005)

#include "../stdafx.h"
#include <afxsock.h>

#include "CommonFunc.h"

#include "in_mpg123.h"
#include "AsyncSocket.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

void ReceiveUDPMsg(const WCHAR* src);

/////////////////////////////////////////////////////////////////////////////
// CIn_mpg123dAsyncSocket

CIn_mpg123dAsyncSocket::CIn_mpg123dAsyncSocket()
{
}

CIn_mpg123dAsyncSocket::~CIn_mpg123dAsyncSocket()
{
}

/////////////////////////////////////////////////////////////////////////////
// CIn_mpg123dAsyncSocket

void CIn_mpg123dAsyncSocket::OnReceive(int nErrorCode)
{
	CAsyncSocket::OnReceive(nErrorCode);


	char buf[1024];
	int ret = Receive(buf, 1024, 0);

	if (strncmp(buf, "x-audiocast-streamtitle: ", 25) == 0)
	{
		WCHAR dst[1024];

		ret = Strcpy(dst, 1024, buf + 25, ret - 25);
		EraseSpace(dst, ret);

		ReceiveUDPMsg(dst);
	}
}
