#ifndef SETTINGSDIALOGGENERAL_H
#define SETTINGSDIALOGGENERAL_H
#include "Tools/menuXP.h"
#include "Tools/ButtonXP.h"
#include "Tools/ComboBoxXP.h"
#include "MainWnd.h"

// Bote de dialogue CSettingsDialogGeneral

class CSettingsDialogGeneral : public CPropertyPage
{
	DECLARE_DYNAMIC(CSettingsDialogGeneral)

public:
	CSettingsDialogGeneral();
	virtual ~CSettingsDialogGeneral();

	int m_tpc;

	void RegFileTypes();
	void CreateContMenus();
	bool ReadFileTypes(CString ext);
	void ReadContMenus();
	bool defaultAdd;

	enum
	{
		IDD = IDD_SETTINGS_GENERAL
	};
	BOOL display;
	CCheckListBox m_l_options;
	CCheckListBox m_l_options2;

	CButtonXP m_btnSkin;
	CComboBoxXP m_cbxLanguage;

protected:
	afx_msg void OnOK();
	virtual void DoDataExchange(CDataExchange* pDX);  // Prise en charge DDX/DDV
	virtual BOOL OnInitDialog();
	afx_msg void OnPopupLoad();
	afx_msg void OnPopupUseDefault();
	afx_msg void OnSkin();
	void OnPaint();
	int OnCreate(LPCREATESTRUCT lpCreateStruct);

	DECLARE_MESSAGE_MAP()
	DECLARE_MENUXP()
	void OnMouseMove(UINT nFlags, CPoint point);
public:
	afx_msg void OnLbnSelchangeLOptions();
};

#endif